# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiFacingRatioTemplate(ShaderAETemplate):
    def setup(self):
    	self.addSwatch()
        self.beginScrollLayout()
        
        self.addControl('bias', label='偏差')
        self.addControl('gain', label='增加')
        self.addControl('linear', label='线性')
        self.addControl('invert', label='倒置')
        
        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
